# comment out when not pre-release
#define prerel	rc4

%define rel	4

Name:		aircrack-ng
Version:	1.7
Release:	%mkrel %{?prerel:0.%prerel.}%{rel}
Summary:	Reliable 802.11 (wireless) sniffer and WEP key cracker
License:	GPLv2+
Group:		Networking/Other
URL:		https://www.aircrack-ng.org/doku.php
Source0:	https://download.aircrack-ng.org/%{name}-%{version}%{?prerel:-%prerel}.tar.gz
Patch1:		aircrack-ng-parallel-build.patch
Patch2:		0001-add-PCRE2-support.patch
BuildRequires:	pkgconfig(cmocka)
BuildRequires:	pkgconfig(jemalloc)
BuildRequires:	pkgconfig(hwloc)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libtcmalloc)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	expect
BuildRequires:	libnl3-devel

%description
aircrack-ng is a set of tools for auditing wireless networks. It's an
enhanced/reborn version of aircrack. It consists of airodump (an 802.11
packet capture program), aireplay (an 802.11 packet injection program),
aircrack (static WEP and WPA-PSK cracking), airdecap (decrypts WEP/WPA
capture files), and some tools to handle capture files (merge, convert,
etc.).


%package devel
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
Development files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prerel:-%prerel}

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
	--enable-static \
	--disable-shared \
	--disable-silent-rules \
	--with-lto \
	--with-avx512 \
	--with-jemalloc \
	--with-tcmalloc \
	--with-experimental

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.*a' -delete

mkdir -p %{buildroot}%{_datadir}/%{name}
# License unclear, originates from:
# http://standards.ieee.org/regauth/oui/oui.txt
touch %{buildroot}%{_datadir}/%{name}/airodump-ng-oui.txt

%post
%{_sbindir}/airodump-ng-oui-update

%files
%doc ChangeLog README AUTHORS
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man?/*
%dir %{_datadir}/aircrack-ng
%ghost %{_datadir}/aircrack-ng/airodump-ng-oui.txt

%files devel
%{_includedir}/%{name}/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.7-4.mga10
+ Revision: 2218292
- Mageia 10 Mass Rebuild

* Tue May 09 2023 daviddavid <daviddavid> 1.7-3.mga9
+ Revision: 1956371
- enable hwloc and lto support

* Tue May 09 2023 daviddavid <daviddavid> 1.7-2.mga9
+ Revision: 1956365
- backport upstream patch to add pcre2 support (mga#31791)

* Tue Aug 09 2022 neoclust <neoclust> 1.7-1.mga9
+ Revision: 1876423
- New version 1.7

* Tue Mar 29 2022 umeabot <umeabot> 1.6-4.mga9
+ Revision: 1831264
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.6-3.mga9
+ Revision: 1747904
- rebuild for openssl 3.0.0

* Sun Nov 08 2020 wally <wally> 1.6-2.mga8
+ Revision: 1643686
- add patch to fix parallel build

* Fri Jun 12 2020 joequant <joequant> 1.6-1.mga8
+ Revision: 1592701
- update to 1.6 / fix build

* Fri Feb 14 2020 umeabot <umeabot> 1.5.2-2.mga8
+ Revision: 1521259
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 18 2018 daviddavid <daviddavid> 1.5.2-1.mga7
+ Revision: 1342578
- new version: 1.5.2
- disable unneeded shared libraries without soname
- new version: 1.4

* Sun Sep 23 2018 umeabot <umeabot> 1.3-2.mga7
+ Revision: 1297304
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 daviddavid <daviddavid> 1.3-1.mga7
+ Revision: 1252439
- new version: 1.3
- now use libtool build system
- enable Pcap, Jemalloc, Tcmalloc and Cmocka features

* Mon Jun 18 2018 wally <wally> 1.2-0.rc4.2.mga7
+ Revision: 1237811
- add patch via Fedora to fix build on aarch64

* Sat Sep 09 2017 cjw <cjw> 1.2-0.rc4.1.mga7
+ Revision: 1152217
- add patch from upstream svn to fix build with openssl 1.1
+ vaci0 <vaci0>
- Update to new version 1.2rc4

* Tue Feb 09 2016 umeabot <umeabot> 1.2-0.rc1.3.mga6
+ Revision: 952021
- Mageia 6 Mass Rebuild

* Tue Jan 13 2015 eatdirt <eatdirt> 1.2-0.rc1.2.mga5
+ Revision: 810456
- Do not abort for zero length calls to net_get() (14557)

* Fri Nov 14 2014 luigiwalser <luigiwalser> 1.2-0.rc1.1.mga5
+ Revision: 797266
- 1.2-rc1 (fixes CVE-2014-832[1-4])

* Wed Oct 15 2014 umeabot <umeabot> 1.2-0.beta2.3.mga5
+ Revision: 749141
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-0.beta2.2.mga5
+ Revision: 677722
- Mageia 5 Mass Rebuild

* Sun Mar 02 2014 vaci0 <vaci0> 1.2-0.beta2.1.mga5
+ Revision: 598603
- Update to new version

* Mon Oct 21 2013 umeabot <umeabot> 1.1-7.mga4
+ Revision: 539676
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 luigiwalser <luigiwalser> 1.1-6.mga4
+ Revision: 492693
- add patch from gentoo to fix CVE-2010-1159

* Fri Jan 11 2013 umeabot <umeabot> 1.1-5.mga3
+ Revision: 345354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 30 2011 guillomovitch <guillomovitch> 1.1-4.mga2
+ Revision: 189056
- use upstream patch to ignore negative channel issue (#742)

* Wed Dec 28 2011 doktor5000 <doktor5000> 1.1-3.mga2
+ Revision: 188376
- removed obsolete %%clean and empty %%defattr
- added comments for unstable=true and license of airodump-ng-oui.txt

* Thu Jun 16 2011 wally <wally> 1.1-2.mga2
+ Revision: 108293
- sync patches with Mdv
- install wesside-ng and some other unstable utils too (mdv#61298)
- run airodump-ng-oui-update in %%post
+ ennael <ennael>
- clean spec file
+ kharec <kharec>
- imported package aircrack-ng


* Thu Aug 05 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1-2mdv2011.0
+ Revision: 566451
- work around kinda broken parallell build
- really fix path to oui data file
  * build unstable utils as well
- fix path of oui data, and download it during %%install
-DHAVE_REGEXP has to be passed to preprocessor to have any effect, not linker...
- ditch redundant docs..
- fix mandir and make use of pkg-config etc. in makefiles (P0)
- build with sqlite support
- cosmetics
  * don't lower upstream -O3 optimizations

* Sun Apr 25 2010 Funda Wang <fwang@mandriva.org> 1.1-1mdv2010.1
+ Revision: 538569
- New version 1.1

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.0-2mdv2010.1
+ Revision: 537607
- rebuild

* Wed Sep 09 2009 Pascal Terjan <pterjan@mandriva.org> 1.0-1mdv2010.0
+ Revision: 434936
- Update to 1.0 final

* Mon Aug 03 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0-0.rc.4.2mdv2010.0
+ Revision: 408569
- Disable parallel make to fix build
- Update to new version 1.0-rc4
- Remove patch integrated upstream

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 1.0-0.rc2.1mdv2009.1
+ Revision: 354287
- fix 64 bits build with gentoo patch
- New version 1.0 rc2
- drop patches (merged upstream)
- fix license

* Fri Dec 26 2008 Pascal Terjan <pterjan@mandriva.org> 1.0-0.rc1.1mdv2009.1
+ Revision: 319499
- BuildRequires zlib-devel
- BuildRequires openssl-devel
- Update to 1.0-rc1

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.9.3-3mdv2009.0
+ Revision: 243049
- rebuild
- rebuild

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.9.3-1mdv2008.1
+ Revision: 177233
- update to new version 0.9.3

* Wed Feb 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.2-1mdv2008.1
+ Revision: 162976
- update to new version 0.9.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 27 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 56245
- update to new version 0.9.1

* Wed May 23 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9-1mdv2008.0
+ Revision: 30215
- update to 0.9

* Fri Apr 27 2007 Lenny Cartier <lenny@mandriva.org> 0.8-1mdv2008.0
+ Revision: 18543
- Update to 0.8


* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7-1mdv2007.0
+ Revision: 111232
- new version

* Wed Nov 15 2006 Lenny Cartier <lenny@mandriva.com> 0.6.2-1mdv2007.1
+ Revision: 84554
- Update to 0.6.2
- Import aircrack-ng

* Tue Aug 29 2006 Lenny Cartier <lenny@mandriva.com> 0.6.1-1mdv2007.0
- 0.6.1

* Tue Jun 27 2006 Austin Acton <austin@mandriva.org> 0.6-1mdk
- New release 0.6
- build opts

* Wed May 10 2006 Lenny Cartier <lenny@mandriva.com> 0.5-1mdk
- new

